Get User Profile
Request
GET
https://api.sourcecraft.tech/users/{user_slug}
Path parameters
|
Name |
Description |
|
user_slug |
Type: string Example: `` |
Query parameters
|
Name |
Description |
|
cloud_id |
Type: string Example: `` |
|
user_id |
Type: string Example: `` |
Responses
200 OK
A successful response.
Body
application/json
{
"id": "example",
"display_name": "example",
"username": "example",
"bio": "example",
"location": {
"country": "example",
"city": "example"
},
"timezone": {
"iana_timezone": "example"
},
"workplace": {
"company": "example",
"position": "example"
},
"links": [
{
"link": "example",
"type": "social_network"
}
],
"status": {
"message": "example",
"emoji": "example"
},
"avatar": {
"url": "example"
},
"background_image": null,
"visibility": "private"
}
|
Name |
Description |
|
avatar |
Type: Image Example
|
|
background_image |
Type: Image Example
|
|
bio |
Type: string Example: |
|
display_name |
Type: string Example: |
|
id |
Type: string Example: |
|
links |
Type: Link[] Example
|
|
location |
Type: v1.Location Example
|
|
status |
Type: ProfileStatus Example
|
|
timezone |
Type: Timezone Example
|
|
username |
Type: string Example: |
|
visibility |
Type: ProfileVisibility Enum: |
|
workplace |
Type: Workplace Example
|
v1.Location
|
Name |
Description |
|
city |
Type: string Example: |
|
country |
Type: string Example: |
Example
{
"country": "example",
"city": "example"
}
Timezone
|
Name |
Description |
|
iana_timezone |
Type: string Example: |
Example
{
"iana_timezone": "example"
}
Workplace
|
Name |
Description |
|
company |
Type: string Example: |
|
position |
Type: string Example: |
Example
{
"company": "example",
"position": "example"
}
Link.LinkType
Type: string
Enum: social_network, homepage, email, telegram
Link
|
Name |
Description |
|
link |
Type: string Example: |
|
type |
Type: Link.LinkType Enum: |
Example
{
"link": "example",
"type": "social_network"
}
ProfileStatus
|
Name |
Description |
|
emoji |
Type: string Example: |
|
message |
Type: string Example: |
Example
{
"message": "example",
"emoji": "example"
}
Image
|
Name |
Description |
|
url |
Type: string Example: |
Example
{
"url": "example"
}
ProfileVisibility
Type: string
Enum: private, public
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": {}
}
|
Name |
Description |
||
|
details |
Type: Optional details. Exact structure depends on error_code
Example
|
||
|
error_code |
Type: string Example: |
||
|
message |
Type: string Example: |
||
|
request_id |
Type: string Example: |